/**
 * Created by zhang on 2018/9/10.
 */

let express = require("express");
let landRouter = express.Router();
import LandController from "../controllers/land_controller";
let landController = new LandController();

module.exports = function (app) {

    landRouter.get("/main", landController.auth, landController.init, landController.main);
    landRouter.post("/addLib", landController.auth, landController.init, landController.addLib);
    landRouter.post("/findLib", landController.auth, landController.init, landController.findLib);
    landRouter.post("/saveLib", landController.auth, landController.init, landController.saveLib);
    landRouter.post("/deleteLibByID", landController.auth, landController.init, landController.deleteLibByID);
    landRouter.get("/edit/:libID", landController.auth, landController.init, landController.edit);


    app.use("/land", landRouter);
};